import * as vue from 'vue';
import { VNode } from 'vue';

declare const _default: vue.DefineComponent<{
    id: {
        type: StringConstructor;
        required: true;
    };
    content: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    height: {
        type: NumberConstructor;
        required: true;
    };
    width: {
        type: NumberConstructor;
        required: true;
    };
    top: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    bottom: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    left: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    right: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    watch: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    watchDelay: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    beforeBreakPage: {
        type: FunctionConstructor;
        required: false;
        default: () => undefined;
    };
    afterBreakPage: {
        type: FunctionConstructor;
        required: false;
        default: () => undefined;
    };
}, () => VNode, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    content: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    height: {
        type: NumberConstructor;
        required: true;
    };
    width: {
        type: NumberConstructor;
        required: true;
    };
    top: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    bottom: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    left: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    right: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    watch: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    watchDelay: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    beforeBreakPage: {
        type: FunctionConstructor;
        required: false;
        default: () => undefined;
    };
    afterBreakPage: {
        type: FunctionConstructor;
        required: false;
        default: () => undefined;
    };
}>>, {
    content: string;
    top: number;
    bottom: number;
    left: number;
    right: number;
    watch: unknown[];
    watchDelay: unknown[];
    beforeBreakPage: Function;
    afterBreakPage: Function;
}, {}>;

export { _default as default };
